Subject: Re: [PMOL] I-D Action:draft-ietf-pmol-metrics-framework-05.txt

From: Alan Clark <[email-masked]>
Date: Tue, 16 Nov 2010 23:07:50 -0500

Apologies for my long absence!!

A few comments

1. Introduction - last sentence

Standardized metrics help to ensure that performance measurement is
implemented consistently and facilitate interpretation and comparison

1.1 Background - paragraph 5

Suggest the addition of RFC3611 and (soon to be) RFC6035 as these are widely
used IETF protocols for VoIP performance reporting.  The RAQMON description
reads a little like an advert - so maybe

"for example, the RTP Control Protocol Extended Reports (RTCP XR) [RFC3611].
the Real -time Application Quality-of-Service Monitoring (RAQMON) Framework
[RFC4710] and the SIP RTCP Summary Report Protocol [RC6035] are protocols
that support the real-time reporting of Voice over IP and other applications
running on devices such as IP phones and mobile handsets."

2.2 Quality of Service

Remove "The" and correct language - so "Quality of Service (QoS) is defined
in a similar way to the...."

2.3 Quality of Experience

Remove "The" - so "Quality of Experience (QoE) is defined in a similar way
to the...."

References

Add RFC3611 and RFC6035

Alan  

On 10/10/10 4:45 PM, "org" <[email-masked]> wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Performance Metrics for Other Layers Working
> Group of the IETF.
> 
> 
> Title           : Guidelines for Considering New Performance Metric
> Development
> Author(s)       : A. Clark, B. Claise
> Filename        : draft-ietf-pmol-metrics-framework-05.txt
> Pages           : 21
> Date            : 2010-10-10
> 
> This document describes a framework and a process for developing
> performance metrics of protocols and applications transported over
> over IETF-specified protocols, and that can be used to characterize
> traffic on live networks and services.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-pmol-metrics-framework-05.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pmol

---

From: Benoit Claise <[email-masked]>
Date: Mon, 22 Nov 2010 16:23:25 +0100

Alan,
> implemented consistently and facilitate interpretation and comparison
Done.
> running on devices such as IP phones and mobile handsets."
I propose to keep the RAQMON section, as it deals with application 
performance metrics, but to add a new paragraph

The RTP Control Protocol Extended Reports (RTCP XR) [RFC3611] and the SIP RTCP Summary Report Protocol [RC6035] are protocols
that support the real-time reporting of Voice over IP and other applications
running on devices such as IP phones and mobile handsets.

> in a similar way to the...."
done.
> Remove "The" - so "Quality of Experience (QoE) is defined in a similar way
Done.
> Add RFC3611 and RFC6035
Done, as informative reference.
However, when do you expect the AUTH48 to be finished for RFC6035?

Regards, Benoit.
>
>
> Alan
>
>
>
>
> On 10/10/10 4:45 PM, "org"<[email-masked]>  wrote:
>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 22 Nov 2010 17:13:04 +0100

> -----Original Message-----
> From: Benoit Claise [mailto:[email-masked]] 
> Sent: Monday, November 22, 2010 5:23 PM
> To: Alan Clark
> Cc: Romascanu, Dan (Dan); Al Morton; [email-masked]
> Subject: Re: [PMOL] I-D 
> Action:draft-ietf-pmol-metrics-framework-05.txt
> 
> Alan,
> > Suggest the addition of RFC3611 and (soon to be) RFC6035 as 
> these are 
> > widely used IETF protocols for VoIP performance reporting.  
> The RAQMON 
> > description reads a little like an advert - so maybe
> >
> > the Real -time Application Quality-of-Service Monitoring (RAQMON) 
> > Framework [RFC4710] and the SIP RTCP Summary Report 
> Protocol [RC6035] 
> > are protocols that support the real-time reporting of Voice over IP 
> > and other applications running on devices such as IP phones 
> and mobile handsets."
> I propose to keep the RAQMON section, as it deals with 
> application performance metrics, but to add a new paragraph
> 
> The RTP Control Protocol Extended Reports (RTCP XR) [RFC3611] 
> and the SIP RTCP Summary Report Protocol [RC6035] are 
> protocols that support the real-time reporting of Voice over 
> IP and other applications running on devices such as IP 
> phones and mobile handsets.
> 

RAQMON also supports real-time reporting. 

Dan
(speaking as contributor)

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 23 Nov 2010 11:04:00 +0100

Yes, this looks OK. 
 
Just as an editing comment, I would rather: 
 
s/The IETF does have current and completed activities related to the
reporting of application performance metrics: for example/Previous IETF
work related to reporting of application performance metrics includes/
 
Thanks and Regards,
 
Dan

________________________________

	From: Benoit Claise [mailto:[email-masked]] 
	Sent: Tuesday, November 23, 2010 11:48 AM
	To: Romascanu, Dan (Dan)
	Cc: Alan Clark; [email-masked]
	Subject: Re: [PMOL] I-D
Action:draft-ietf-pmol-metrics-framework-05.txt

	Dan, 

			-----Original Message-----
			From: Benoit Claise [mailto:[email-masked]] 
			Sent: Monday, November 22, 2010 5:23 PM
			To: Alan Clark
			Cc: Romascanu, Dan (Dan); Al Morton;
[email-masked]
			Subject: Re: [PMOL] I-D 
			
			Alan,

				A few comments

				Standardized metrics help to ensure that
performance measurement is 
				implemented consistently and facilitate
interpretation and 

			comparison
			Done.

				Suggest the addition of RFC3611 and
(soon to be) RFC6035 as 

			these are 

				widely used IETF protocols for VoIP
performance reporting.  

			The RAQMON 

				description reads a little like an
advert - so maybe
				
				"for example, the RTP Control Protocol
Extended Reports 

			(RTCP XR) [RFC3611].

				the Real -time Application
Quality-of-Service Monitoring (RAQMON) 
				Framework [RFC4710] and the SIP RTCP
Summary Report 

			Protocol [RC6035] 

				are protocols that support the real-time
reporting of Voice over IP 
				and other applications running on
devices such as IP phones 

			and mobile handsets."
			I propose to keep the RAQMON section, as it
deals with 
			application performance metrics, but to add a
new paragraph
			
			The RTP Control Protocol Extended Reports (RTCP
XR) [RFC3611] 
			and the SIP RTCP Summary Report Protocol
[RC6035] are 
			protocols that support the real-time reporting
of Voice over 
			IP and other applications running on devices
such as IP 
			phones and mobile handsets.

	What we have right now is in the to-be-posted version:
	
	                The IETF does have current and completed
activities related to the
	                reporting of application performance metrics:
for example the Real-time
	                Application Quality-of-Service Monitoring
(RAQMON) Framework [RFC4710], 
	                which extends the remote network monitoring
	                (RMON) family of specifications to allow
real-time quality-of-service (QoS)
	                monitoring of various applications that run on
devices such as IP phones,
	                pagers, Instant Messaging clients, mobile
phones, and various other
	                handheld computing devices. Furthermore, the RTP
Control Protocol Extended 
	                Reports (RTCP XR) [RFC3611] and the SIP RTCP
Summary Report Protocol 
	                [RC6035] are protocols that support the 
	                 real-time reporting of Voice over IP and other
applications running on 
	                devices such as IP phones and mobile handsets.
	
	Please let me know if this is fine with you you.
	
	Regards, Benoit.

		Dan

---

From: Benoit Claise <[email-masked]>
Date: Tue, 23 Nov 2010 10:47:32 +0100

Dan,

                 The IETF does have current and completed activities 
related to the
                 reporting of application performance metrics: for 
example the Real-time
                 Application Quality-of-Service Monitoring (RAQMON) 
Framework [RFC4710],
                 which extends the remote network monitoring
                 (RMON) family of specifications to allow _real-time_ 
quality-of-service (QoS)
                 monitoring of various applications that run on devices 
such as IP phones,
                 pagers, Instant Messaging clients, mobile phones, and 
various other
                 handheld computing devices. Furthermore, the RTP 
Control Protocol Extended
                 Reports (RTCP XR) [RFC3611] and the SIP RTCP Summary 
Report Protocol
                 [RC6035] are protocols that support the
                  real-time reporting of Voice over IP and other 
applications running on
                 devices such as IP phones and mobile handsets.

Regards, Benoit.

---

From: Benoit Claise <[email-masked]>
Date: Tue, 23 Nov 2010 12:19:08 +0100

Done.

Thanks for your review.

Regards, Benoit.
> reporting of application performance metrics: for example/Previous 
> IETF work related to reporting of application performance metrics 
> includes/
> Thanks and Regards,
> Dan
>     ------------------------------------------------------------------------
>     *From:* Benoit Claise [mailto:[email-masked]]
>     *Sent:* Tuesday, November 23, 2010 11:48 AM
>     *To:* Romascanu, Dan (Dan)
>     *Cc:* Alan Clark; [email-masked]
>     *Subject:* Re: [PMOL] I-D
>>>     Cc: Romascanu, Dan (Dan); Al Morton;[email-masked]
>>>     Subject: Re: [PMOL] I-D
>     _real-time_ quality-of-service (QoS)
>                     pagers, Instant Messaging clients, mobile phones,
>     and various other